Retrieve paginated list of ATS Rejection/Archivation reasons

Retrieves a list of rejection or archivation reasons in the Applicant Tracking System. You can filter reasons by group and subgroup to narrow down the results Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional<=1000 characters
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response
searchstringOptional<=500 characters
Search text for filtering candidates
reason_group_slugenumOptional
Reason group enum
Allowed values:
include_countsstringOptional
If sent true, it will fetch result with counts
subgroup_slugenumOptional
Reason subgroup enum

Response

Successful operation.
datalist of objects
Array of reason objects
has_moreboolean
Indicates if there are more results available
next_cursorstring or null<=1000 characters
Cursor for pagination to fetch next page
total_countdouble
Total count of reasons

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error